<?php
include_once('../global.php');

class NetworkMap extends Page
{
  var $FullTitle = 'Mapa sítě';
  var $ShortTitle = 'Mapa sítě';
  var $Load = 'initialize()';
  var $Unload = 'GUnload()';

  function Show()
  {
    global $Config;
    $Output = '<script src="http://maps.google.com/maps?file=api&amp;v=2&amp;sensor=true&amp;key='.$Config['Web']['GoogleMapsApiKey'].'"
    type="text/javascript">
  </script>';
    $Output .= '<script type="text/javascript">

    var map;

    function initialize() 
    {
      if (GBrowserIsCompatible()) 
      {
        map = new GMap2(document.getElementById("map_canvas"));
        map.setMapType(G_SATELLITE_MAP);
        map.setCenter(new GLatLng(49.260422, 18.081179), 15);
        map.setUIToDefault();
        map.addControl(new GOverviewMapControl(new GSize(128, 96)));
        

// Create our "tiny" marker icon
var tinyIcon = new GIcon();
tinyIcon.image = "point.gif";
tinyIcon.shadow = "http://labs.google.com/ridefinder/images/mm_20_shadow.png";
tinyIcon.iconSize = new GSize(10, 10);
tinyIcon.shadowSize = new GSize(10, 10);
tinyIcon.iconAnchor = new GPoint(5, 5);
tinyIcon.infoWindowAnchor = new GPoint(5, 1);

// Set up our GMarkerOptions object literal
markerOptions = { icon:tinyIcon };';
    
    $Output .= '    
       }      
    }
    
function toggleLabel(id) 
{
	var ele = document.getElementById(id);
	ele.checked = !ele.checked;
	ele.onclick( );
}

    function UpdateNetworkLinks() 
    {
	    if ((document.getElementById("NetworkLinks")).checked == true) 
      {
		    NetworkLinks = [';
    $DbResult = $this->Database->query('SELECT * FROM NetworkLink WHERE Interface1 <> 0 AND Interface2 <> 0');
    while($Link = $DbResult->fetch_assoc())
    {
      $DbResult2 = $this->Database->query('SELECT * FROM NetworkDevice WHERE NetworkDevice.Id = (SELECT Device FROM NetworkInterface WHERE NetworkInterface.Id = '.$Link['Interface1'].')');
      $DbResult3 = $this->Database->query('SELECT * FROM NetworkDevice WHERE NetworkDevice.Id = (SELECT Device FROM NetworkInterface WHERE NetworkInterface.Id = '.$Link['Interface2'].')');
      if(($DbResult2->num_rows > 0) and ($DbResult3->num_rows > 0))
      {
        $Device1 = $DbResult2->fetch_assoc();
        $Device2 = $DbResult3->fetch_assoc();
        $Output .= 'new GPolyline([new GLatLng('.$Device1['PositionLatitude'].', '.$Device1['PositionLongitude'].'),new GLatLng('.$Device2['PositionLatitude'].', '.$Device2['PositionLongitude'].')], "#4F4FBF", 3, 0.8), ';
      }
    }
    $Output .= '];
                for (var i in NetworkLinks)
                {
                        map.addOverlay(NetworkLinks[i]);
                }

	 } else { //checkbox turned off
		for (var i in NetworkLinks)
    {
			map.removeOverlay(NetworkLinks[i]);
			NetworkLinks[i] = null;
		}
	}
}

function toggleLabel(id) 
{
	var ele = document.getElementById(id);
	ele.checked = !ele.checked;
	ele.onclick( );
}

    function UpdateNetworkDevices() 
    {
	    if ((document.getElementById("NetworkDevices")).checked == true) 
      {
		    NetworkDevices = [';

    $DbResult = $this->Database->query('SELECT * FROM NetworkDevice');
    while($Device = $DbResult->fetch_assoc())
    {
      $Output .= 'new GMarker(new GLatLng('.$Device['PositionLatitude'].', '.$Device['PositionLongitude'].'), markerOptions), ';
    }
    $Output .= '];
                for (var i in NetworkDevices)
                {
                        map.addOverlay(NetworkDevices[i]);
                }

	 } else { //checkbox turned off
		for (var i in NetworkDevices)
    {
			map.removeOverlay(NetworkDevices[i]);
			NetworkDevices[i] = null;
		}
	}
}

    </script>';
    $Output .= '<table style="margin-left: auto; margin-right: auto; width: 100%; height: 80%;">
                  <tr>
                    <td style="width: 80%; height: 100%;"> 
    <div id="map_canvas" style="width: 100%; height: 100%;"></div></td>
    <td style="width: 20%">
    <form>
    <input type="checkbox" id="NetworkLinks" onClick="UpdateNetworkLinks();" >
       <a href="" onClick="toggleLabel(\'NetworkLinks\');return false;">Ukázat spoje</a>
       </input><br />
    <input type="checkbox" id="NetworkDevices" onClick="UpdateNetworkDevices();" >
       <a href="" onClick="toggleLabel(\'NetworkDevices\');return false;">Ukázat zařízení</a>
       </input>
    </form></td>
                  </tr>
                </table>';
    return($Output);
  }
}
  
$System->AddModule(new NetworkMap());
$System->Modules['NetworkMap']->GetOutput();

?>
